# callback_table.cpp File Reference

All command callbacks. More...

`#include "stdafx.h"`
`#include "callback_table.h"`
`#include "command_type.h"`

Go to the source code of this file.

## Variables
CommandCallback | CcBuildAircraft
CommandCallback | CcBuildAirport
CommandCallback | CcBuildBridge
CommandCallback | CcBuildDocks
CommandCallback | CcBuildCanal
CommandCallback | CcCloneVehicle
CommandCallback | CcPlaySound10
CommandCallback | CcPlaceSign
CommandCallback | CcTerraform
CommandCallback | CcBuildTown
CommandCallback | CcGiveMoney
CommandCallback | CcPlaySound1E
CommandCallback | CcRailDepot
CommandCallback | CcStation
CommandCallback | CcBuildRailTunnel
CommandCallback | CcPlaySound1D
CommandCallback | CcBuildRoadTunnel
CommandCallback | CcRoadDepot
CommandCallback | CcBuildRoadVeh
CommandCallback | CcBuildShip
CommandCallback | CcBuildWagon
CommandCallback | CcBuildLoco
CommandCallback | CcAI
CommandCallback * | _callback_table []
const int | _callback_table_count = lengthof(_callback_table)

## Detailed Description

All command callbacks.

Definition in file callback_table.cpp.

## Variable Documentation

CommandCallback* _callback_table[]

Initial value:

     {
       NULL,
       CcBuildAircraft,
       CcBuildAirport,
       CcBuildBridge,
       CcBuildCanal,
       CcBuildDocks,
       CcBuildLoco,
       CcBuildRoadVeh,
       CcBuildShip,
       CcBuildTown,
       CcBuildRoadTunnel,
       CcBuildRailTunnel,
       CcBuildWagon,
       CcRoadDepot,
       CcRailDepot,
       CcPlaceSign,
       CcPlaySound10,
       CcPlaySound1D,
       CcPlaySound1E,
       CcStation,
       CcTerraform,
       CcAI,
       CcCloneVehicle,
       CcGiveMoney,
    }

Definition at line 60 of file callback_table.cpp.